com.io7m.jregions.core.unparameterized.sizes

## Class VolumeSizeI.Builder

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.sizes.VolumeSizeI.Builder

- Enclosing class:
    VolumeSizeI

      public static final class VolumeSizeI.Builder
      extends Object

  Builds instances of type `VolumeSizeI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VolumeSizeI` | `build()` Builds a new `VolumeSizeI`.
    `VolumeSizeI.Builder` | `from(VolumeSizeIType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeIType` instance.
    `VolumeSizeI.Builder` | `from(VolumeSizeValuesIType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesIType` instance.
    `VolumeSizeI.Builder` | `setSizeX(int sizeX)` Initializes the value for the `sizeX` attribute.
    `VolumeSizeI.Builder` | `setSizeY(int sizeY)` Initializes the value for the `sizeY` attribute.
    `VolumeSizeI.Builder` | `setSizeZ(int sizeZ)` Initializes the value for the `sizeZ` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final VolumeSizeI.Builder from(VolumeSizeIType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeIType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final VolumeSizeI.Builder from(VolumeSizeValuesIType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesIType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeX

          public final VolumeSizeI.Builder setSizeX(int sizeX)

      Initializes the value for the `sizeX` attribute.
      Parameters:
        `sizeX` - The value for sizeX
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeY

          public final VolumeSizeI.Builder setSizeY(int sizeY)

      Initializes the value for the `sizeY` attribute.
      Parameters:
        `sizeY` - The value for sizeY
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeZ

          public final VolumeSizeI.Builder setSizeZ(int sizeZ)

      Initializes the value for the `sizeZ` attribute.
      Parameters:
        `sizeZ` - The value for sizeZ
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public VolumeSizeI build()

      Builds a new `VolumeSizeI`.
      Returns:
        An immutable instance of VolumeSizeI
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com